Bug 858643 - [backup] using pg_dump --column-inserts slows down the restore process
[backup] using pg_dump --column-inserts slows down the restore process
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
high Severity high
: ---
: 3.1.0
Assigned To: Alex Lourie
Pavel Stehlik
infra integration
: Improvement
Depends On: 858640
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-19 05:53 EDT by Eli Mesika
Modified: 2014-06-10 22:19 EDT (History)
11 users (show)

See Also:
Fixed In Version: si21
Doc Type: Enhancement
Doc Text:
--no tech note required
Story Points: ---
Clone Of: 858640
Environment:
Last Closed: 2012-12-04 14:16:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eli Mesika 2012-09-19 05:53:47 EDT
+++ This bug was initially created as a clone of Bug #858640 +++

Description of problem:

Using the "--column-inserts" argument for pg_dump, increases the DB restore tens of times compared to not using it. Suggestion is to remove that param by default.

Version-Release number of selected component (if applicable):

rhev 3.0, rhev 3.1

How reproducible:

Always

Steps to Reproduce:
1. Generate a backup of rhevm and rhevm-history DB using pg_dump --column-inserts (check additional info)
2. Restore the backup

  
Actual results:

For big enough databases (10+ Gbs) I've seen the process can take from 30minutes to 2 hours

Expected results:

DB restore finishes in a few minutes, usually in less than a minute.

Additional info:

https://access.redhat.com/knowledge/docs/en-US/Red_Hat_Enterprise_Virtualization/3.0/html/Administration_Guide/Administration_Guide-Backing_Up.html#Administration_Guide-BU_Database_BU

And RHEV 3.1 beta backup.sh script
Comment 1 Itamar Heim 2012-09-19 06:11:53 EDT
this may also be relevant/affecting the installer which backsup the db
Comment 2 Eli Mesika 2012-09-23 07:14:28 EDT
http://gerrit.ovirt.org/#/c/8134/
Comment 3 Eli Mesika 2012-09-24 11:57:43 EDT
fixed in commit : 3a1c398
Comment 6 Pavel Stehlik 2012-10-08 10:48:52 EDT
FailedQA - si20 - only backupdb.sh script contains the new option - the default for rhevm-upgrade is still '--column-inserts'.
rhevm-setup-3.1.0-20.el6ev.noarch
Comment 8 Alex Lourie 2012-10-15 12:56:18 EDT
Patch posted for review:
http://gerrit.ovirt.org/#/c/8566/
Comment 10 Moran Goldboim 2012-10-16 09:20:15 EDT
as for now --column-inserts was removed from setup scripts, and open a bz866964 to track the move of usage in backup.sh- 
bz#866964 - rhevm-upgrade and rhevm-cleanup should use backup.sh to backup DB
Comment 11 Pavel Stehlik 2012-10-19 08:53:18 EDT
ok - si21.1
Comment 14 errata-xmlrpc 2012-12-04 14:16:38 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1506.html

Note You need to log in before you can comment on or make changes to this bug.